Package org.apache.felix.gogo.command

# Class Base64Encoder

java.lang.Object
org.apache.felix.gogo.command.Base64Encoder

public class Base64Encoder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Base64Encoder()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`base64Encode(String s)`
`static String`
`encode(byte[] in, int len)`
Encode a raw byte array to a Base64 String.
`static void`
`encode(InputStream in, OutputStream out, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64Encoder

public Base64Encoder()

## Method Details

### base64Encode

public static String base64Encode(String s) throws IOException

Throws:
  `IOException`

### encode

public static String encode(byte[] in, int len) throws IOException
Encode a raw byte array to a Base64 String.

Parameters:
  `in` - Byte array to encode.
  `len` - Length of Base64 lines. 0 means no line breaks.
Throws:
  `IOException`

### encode

public static void encode(InputStream in, OutputStream out, int len) throws IOException

Throws:
  `IOException`